eth_unsubscribe - Worldchain
Example code for the eth_unsubscribe JSON-RPC method. Complete guide on how to use eth_unsubscribe JSON-RPC in GetBlock Web3 documentation.
Example code for the eth_unsubscribe JSON-RPC method. Complete guide on how to use eth_unsubscribe JSON-RPC in GetBlock Web3 documentation.
Cancels an existing subscription on the World Chain network.
Parameters
This method requires the following parameters:
Parameter
Type
Description
subscriptionId
string
ID of the subscription to cancel
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_unsubscribe",
"params": ["0x9cef478923ff08bf67fde6c64013158d"],
"id": "getblock.io"
}'import axios from 'axios';
const data = JSON.stringify({
"jsonrpc": "2.0",
"method": "eth_unsubscribe",
"params": ["0x9cef478923ff08bf67fde6c64013158d"],
"id": "getblock.io"
});
const config = {
method: 'post',
url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers: {
'Content-Type': 'application/json'
},
data: data
};
axios(config)
.then(response => console.log(JSON.stringify(response.data)))
.catch(error => console.log(error));Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": true
}Response Parameters
Field
Type
Description
result
boolean
True if subscription was successfully cancelled
Use Case
The eth_unsubscribe method on World Chain is typically used for:
Subscription cleanup
Resource management
Connection management
Stopping notifications
Error Handling
Status Code
Error Message
Cause
403
Forbidden
Missing or invalid ACCESS-TOKEN
Web3 Integration
Last updated
Was this helpful?